
QGIS Application - Bug report #18948

crash when selecting a path

2018-05-13 11:06 PM - oladayo akeredolu

Status: Closed

Priority: High

Assignee:

Category: Actions

Affected QGIS version:3.0.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26779

Description

I frequently receive the crash report whenever i try to select the file(folder) path containing files into QGIS. A quick fix is requested. I'm

presently working with Raster files.

See crash report below:

User Feedback

Report Details

Crash ID: 10a09bc33bc983dd968c0c365b7caa4d3f3c70bd

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

CoRegisterClassObject :

CoCreateFreeThreadedMarshaler :

CoRegisterClassObject :

CoRegisterClassObject :

CoRegisterClassObject :

CoRegisterClassObject :

CoRegisterClassObject :

CoCreateFreeThreadedMarshaler :

CoGetStandardMarshal :

CoCreateFreeThreadedMarshaler :

RoGetActivationFactory :

RoGetActivationFactory :

CoCreateInstance :

Ordinal866 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

SHELL32_LookupFrontIconIndex :

SHELL32_IconOverlayManagerInit :

SHELL32_LookupFrontIconIndex :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

Ordinal857 :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllGetClassObject :

SHSetTemporaryPropertyForItem :

SHSetTemporaryPropertyForItem :

DllCanUnloadNow :

GetScaleFactorForDevice :

RtlReleaseRelativeName :
RtlSetThreadWorkOnBehalfTicket :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-05-14 12:41 AM - Nyall Dawson

If you're needing a quick fix you'll need to contact a support organisation or contract a developer - or wait for someone else to do the same.

#2 - 2018-06-09 11:03 AM - Matthias Kuhn

- Subject changed from QGIS Crashed: *Crash ID*: 10a09bc33bc983dd968c0c365b7caa4d3f3c70bd to crash when selecting a path

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2018-11-11 01:44 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#5 - 2018-11-11 01:44 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
